series_to_chars {jmotif} | R Documentation

## Transforms a time series into the char array using SAX and the normal alphabet.

### Description

Transforms a time series into the char array using SAX and the normal alphabet.

### Usage

    series_to_chars(ts, a_size)

### Arguments

`ts` | the timeseries.
`a_size` | the alphabet size.

### References

Lonardi, S., Lin, J., Keogh, E., Patel, P., Finding motifs in time series. In Proc. of the 2nd Workshop on Temporal Data Mining (pp. 53-68). (2002)

### Examples

    y = c(-1, -2, -1, 0, 2, 1, 1, 0)
    y_paa3 = paa(y, 3)
    series_to_chars(y_paa3, 3)

[Package jmotif version 1.0.3 Index]